Get Account By ID
Authorization
apiKey x-api-key<token>
Your Chargeflow API key. Generate it in the Developer Hub under Settings.
In: header
Path Parameters
accountId*string
The unique Chargeflow object identifier of the account.
Match
^[0-9a-fA-F]{24}$Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/public/2025-04-01/accounts/string"{ "id": "string", "ext_account_id": "string", "created_at": "2019-08-24T14:15:22Z", "owner_name": "string", "business_name": "string", "business_url": "http://example.com", "email": "user@example.com", "status": "active", "enrichments": { "company_description": "string", "support_email": "user@example.com", "industry": "retail", "product_types": [ "physical_goods" ], "payment_models": [ "subscription" ], "policies": { "terms_and_conditions_url": "http://example.com", "shipping_url": "http://example.com", "cancellation_url": "http://example.com", "refund_url": "http://example.com", "return_url": "http://example.com", "subscription_url": "http://example.com", "gaming_url": "http://example.com" }, "checkout_process": { "pre_checkout_elements": [ "terms_and_conditions" ], "post_checkout_elements": [ "order_confirmation" ] }, "buyer_verifications": { "during_sign_up": [ "email_verification" ], "post_purchase": [ "email_verification" ] } }}Was this page helpful?